{% extends "slow_forum/base_content.html"%}
{% load i18n tz %}

{% block page_title %}{% translate "Topic categories" %}{% endblock %}

{% block content_title %}{% translate "Topic categories" %}{% endblock %}

{% block content_actions %}
    {% if perms.slow_forum.add_topiccategory %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-secondary my-auto" href="{% url 'slow_forum:topic-category-add' %}">
                {% translate "Create a category" %}
            </a>
        </li>
    {% endif %}
{% endblock %}


{% block content %}
    {% if topic_category_list %}
        <table class="categories_table table" aria-description="{% translate "Categories table" %}">
            <thead>
                <th scope="col"></th>
                <th scope="col">{% translate "Category" %}</th>
                <th scope="col">{% translate "Topics" %}</th>
                <th scope="col">{% translate "Replies" %}</th>
                <th scope="col">{% translate "Latest message" %}</th>
            </thead>
            <tbody>
                {% for category in topic_category_list %}
                    <tr>

                        {# Category icon #}
                        
                        <td class="align-middle fs-3">
                            <i class="bi bi-collection"></i>
                        </td>

                        {# Category title and short description #}
                        
                        <td class="align-middle">
                            <div class="title">
                                <div class="fs-3">
                                    <a href="{{ category.get_absolute_url }}">
                                        {{ category.title|escape }}
                                    </a>
                                </div>
                            </div>
                            <div class="short_description">
                                {{ category.short_description|escape }}
                            </div>
                        </td>

                        {# Topics count #}
                        
                        <td class="align-middle">
                            {{ category.topics_count }} <i class="bi bi-chat-left"></i>
                        </td>

                        {# Replies count #}
                        
                        <td class="align-middle">
                            {{ category.replies_count }} <i class="bi bi-chat-left-text"></i>
                        </td>

                        {# Latest message #}
                        
                        <td class="align-middle">
                            {% if category.latest_message_created_on != None %}
                                {{ category.latest_message_created_on|localtime|date:"DATETIME_FORMAT" }} <i class="bi bi-clock"></i>
                            {% else %}
                                {% translate "No message for now" %}
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% else %}
        <p>{% translate "No category yet, please create one if you are admin." %}</p>
    {% endif %}
    
{% endblock %}
